+=======================================================
+
+ Vectric Maschinenausgabe-Konfigurationsdatei Aspire V11
+ DJ-Bino's PP fr cncGraf V7 von Boenigk
+ DJ-Bino's PP fr NC-Easy V5 von EAS
+
+=======================================================
+
+ History
+
+ wer      DD/MM/JJJJ   was
+ ======== ===========  ================================
+ DJ-Bino  20/11/2021   Kpl. berarbeitet fr cncGraf
+=======================================================

POST_NAME = "NC-Easy(V5)AWW Kreise (mm) (*.NC)"

FILE_EXTENSION = "NC"

UNITS = "MM"

RAPID_PLUNGE_TO_STARTZ = "YES"

+------------------------------------------------
+    Satzende Zeichen
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Satz Nummerierung
+------------------------------------------------

LINE_NUMBER_START     = 5
LINE_NUMBER_INCREMENT = 5
LINE_NUMBER_MAXIMUM = 9999999

+================================================
+
+    Variablen formatieren ( zuweisen )
+
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|C|X|1.3]
VAR Y_POSITION = [Y|C|Y|1.3]
VAR Z_POSITION = [Z|C|Z|1.3]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.3]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.3]
VAR Y_HOME_POSITION = [YH|A|Y|1.3]
VAR Z_HOME_POSITION = [ZH|A|Z|1.3]
VAR SAFE_Z_HEIGHT = [SAFEZ|A|Z|1.3]
VAR DWELL_TIME = [DWELL|A|P|1.2]


+================================================
+
+  Definition der NC-Stze fr die Werkzeug-Wege
+
+================================================

+---------------------------------------------------
+  Definition des NC-Programm-Kopf's ( Anfang )
+---------------------------------------------------

begin HEADER
"%"
"4711"
"[N] G00 G40 G90 G71 ( Programmanfang )"
"[N] ( Programm-Name: [TP_FILENAME][TP_EXT] )"
"[N] (************* Aspire V11 *************)"
"[N] (  Rohteil-Abmessungen in  X  Y  Z    )"
"[N] (  X Breite = [XLENGTH] )"
"[N] (  Y Lnge  = [YLENGTH] )"
"[N] (  Z Hhe   = [ZLENGTH] )"
"[N] (++++++++++++++++++++++++++++++++++++++)"
"[N] (   Nullpunkt-Lage im Rohteil X Y Z    )"
"[N] (  X Min = [XMIN]    X Max = [XMAX] )"
"[N] (  Y MIN = [YMIN]    Y Max = [YMAX] )"
"[N] (  Z Min = [ZMIN]    Z Max = [ZMAX] )"
"[N] (**************************************)"
"[N] (  Ausgangs Position X Y Z             )"
"[N] (  X = [XH] Y = [YH] Z = [ZH] )"
"[N] (  Sicherheits-Hhe in Z               )"
"[N] (  Z = [SAFEZ] )"
"[N] (++++++++++++++++++++++++++++++++++++++)"
"[N] (    PP Ausgabe fr cncGraf/NC-Easy    )"
"[N] (    *** -- Werkzeugwechsel: -- ***    )"
"[N] ( Bearbeitung:      [TOOLPATH_NAME] )"
"[N] ( Werkzeugname:     [TOOLNAME] )"
"[N] ( Werkzeugnummer:   T[T] )"
"[N] ( Vorschub:         [FC] mm/min )"
"[N] ( Eintauch-Geschw.: [FP] mm/min )"
"[N] ( Spindeldrehzahl:  [S] U/min )"
"[N] T[T] M06 [S] M3 M8"
"[N] G00 [ZH]"
"[N] G00 [XH] [YH]"

+---------------------------------------------------
+  Defenition des Werkzeugwechsels
+---------------------------------------------------

begin TOOLCHANGE
"[N] (    *** -- Werkzeugwechsel: -- ***    )"
"[N] ( Bearbeitung:         [TOOLPATH_NAME] )"
"[N] ( Werkzeugname:        [TOOLNAME] )"
"[N] ( Werkzeugnummer:      T[T] )"
"[N] ( Vorschub:            [FC] mm/min )"
"[N] ( Eintauch-Geschw.:    [FP] mm/min )"
"[N] ( Spindeldrehzahl:     [S] U/min )"
"[N] ( Vorheriges Werkzeug: T[TP] )"
"[N] T[T] M06 [S] M3 M8"
"[N] G00 [ZH]"
"[N] G00 [XH] [YH]"

+---------------------------------------------------
+  Definition Verfahrwege im Eilgang
+---------------------------------------------------

begin RAPID_MOVE

"[N] G00 [X] [Y] [Z]"


+---------------------------------------------------
+  1. Definition Verfahrwege im Vorschub
+---------------------------------------------------

begin FIRST_FEED_MOVE

"[N] G01 [X] [Y] [Z] [F]"


+---------------------------------------------------
+  2. Definition Verfahrwege im Vorschub
+---------------------------------------------------

begin FEED_MOVE

"[N] G01 [X] [Y] [Z]"

+---------------------------------------------------
+  1. Definition Verfahrwege Kreis im Uhrzeigersinn
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

"[N] G02 [X] [Y] [I] [J] [F]"

+---------------------------------------------------
+  2. Definition Verfahrwege Kreis im Uhrzeigersinn
+---------------------------------------------------

begin CW_ARC_MOVE

"[N] G02 [X] [Y] [I] [J]"

+---------------------------------------------------------
+  1. Definition Verfahrwege Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------------

begin FIRST_CCW_ARC_MOVE

"[N] G03 [X] [Y] [I] [J] [F]"

+---------------------------------------------------------
+  2. Definition Verfahrwege Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------------

begin CCW_ARC_MOVE

"[N] G03 [X] [Y] [I] [J]"

+---------------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis im Uhrzeigersinn
+---------------------------------------------------------
begin FIRST_CW_HELICAL_ARC_MOVE

"[N] G02 [X] [Y] [I] [J] [Z] [F]"

+---------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis im Uhrzeigersinn
+---------------------------------------------------------
begin CW_HELICAL_ARC_MOVE

"[N] G02 [X] [Y] [I] [J] [Z]"

+---------------------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------------------
begin FIRST_CCW_HELICAL_ARC_MOVE

"[N] G03 [X] [Y] [I] [J] [Z] [F]"

+---------------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------------------
begin CCW_HELICAL_ARC_MOVE

"[N] G03 [X] [Y] [I] [J] [Z]"

+--------------------------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis Eintauchen im Uhrzeigersinn
+--------------------------------------------------------------------
begin FIRST_CW_HELICAL_ARC_PLUNGE_MOVE

"[N] G02 [X] [Y] [I] [J] [Z] [F]"

+--------------------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis Eintauchen im Uhrzeigersinn
+--------------------------------------------------------------------
begin CW_HELICAL_ARC_PLUNGE_MOVE

"[N] G02 [X] [Y] [I] [J] [Z]"

+--------------------------------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis Eintauchen im Gegen-Uhrzeigersinn
+--------------------------------------------------------------------------
begin FIRST_CCW_HELICAL_ARC_PLUNGE_MOVE

"[N] G03 [X] [Y] [I] [J] [Z] [F]"

+--------------------------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis Eintauchen im Gegen-Uhrzeigersinn
+--------------------------------------------------------------------------
begin CCW_HELICAL_ARC_PLUNGE_MOVE

"[N] G03 [X] [Y] [I] [J] [Z]"

+----------------------------------------------------
+  Ausgabe fr alle Verweilzeiten
+----------------------------------------------------

begin DWELL_MOVE

"G04 [DWELL]"


+---------------------------------------------------
+  Definition des NC-Programm-Kopf's ( Ende )
+---------------------------------------------------

begin FOOTER

"[N] ( Grundstellung anfahren )"
"[N] G00 G40 [ZH]"
"[N] G00 [XH] [YH]"
"[N] S0 M05 M09"
"[N] M30 ( Programm Ende )"
"%"
